﻿using Microsoft.Practices.Unity;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;

namespace ModuleB
{
	public class ModuleB : IModule
	{
        //IRegionManager _regionManager;
        //IUnityContainer _container;

        //public ModuleB(IRegionManager regionManager, IUnityContainer container)
        //{
        //    _regionManager = regionManager;
        //    _container = container;
        //}

        //public void Initialize()
        //{
        //    this._regionManager.RegisterViewWithRegion("MainRegion", typeof(Pane3));
        //    this._regionManager.RegisterViewWithRegion("RightRegion", typeof(Pane4));
        //}

        private readonly IRegionManager _regionManager;

        public ModuleB(IRegionManager regionManager)
        {
            this._regionManager = regionManager;
        }

        public void Initialize()
        {
            this._regionManager.RegisterViewWithRegion("MainRegion", typeof(Pane3));
            this._regionManager.RegisterViewWithRegion("RightRegion", typeof(Pane4));
        }
	}
}
