﻿using Microsoft.Practices.Unity;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;

namespace ModuleA
{
	public class ModuleA : IModule
	{
        //IRegionManager _regionManager;
        //IUnityContainer _container;

        //public ModuleA(IRegionManager regionManager, IUnityContainer container)
        //{
        //    _regionManager = regionManager;
        //    _container = container;
        //}

        //public void Initialize()
        //{
        //    this._regionManager.RegisterViewWithRegion("MainRegion", typeof(Pane1));
        //    this._regionManager.RegisterViewWithRegion("RightRegion", typeof(Pane2));
        //}

        private readonly IRegionManager _regionManager;

        public ModuleA(IRegionManager regionManager)
        {
            this._regionManager = regionManager;
        }

        public void Initialize()
        {
            this._regionManager.RegisterViewWithRegion("MainRegion", typeof(Pane1));
            this._regionManager.RegisterViewWithRegion("RightRegion", typeof(Pane2));
        }
	}
}
